# $Id$
# Authority: shuff
# Upstream: Jeremy Stashewsky <jstash+cpan$gmail,com>

# Plack is RFX on el6 and el5
%{?el6: # Tag: rfx}
%{?el5: # Tag: rfx}

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Feersum

Summary: A PSGI engine for Perl based on EV/libev
Name: perl-Feersum
Version: 1.202
Release: 2%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Feersum/

Packager: Steve Huff <shuff@vecna.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/S/ST/STASH/Feersum-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl
BuildRequires: perl(AnyEvent) >= 5.261
BuildRequires: perl(EV) >= 4
BuildRequires: perl(Guard) >= 1.012
BuildRequires: perl(Scalar::Util) >= 1.19
# BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::TCP) >= 1.12
BuildRequires: rpm-macros-rpmforge
Requires: perl
Requires: perl(AnyEvent) >= 5.261
Requires: perl(EV) >= 4
Requires: perl(Guard) >= 1.012
Requires: perl(JSON::XS) >= 2
Requires: perl(Plack) >= 0.995
Requires: perl(Scalar::Util) >= 1.19
# Requires: perl(Test::LeakTrace) >= 0.13

### remove autoreq Perl dependencies
%filter_from_requires /^perl.*/d
%filter_setup

%description
Feersum is an HTTP server built on EV. It fully supports the PSGI 1.03 spec
including the psgi.streaming interface and is compatible with Plack. PSGI 1.1,
which has yet to be published formally, is also supported. Feersum also has its
own "native" interface which is similar in a lot of ways to PSGI, but is not
compatible with PSGI or PSGI middleware.

Feersum uses a single-threaded, event-based programming architecture to scale
and can handle many concurrent connections efficiently in both CPU and RAM. It
skips doing a lot of sanity checking with the assumption that a "front-end"
HTTP/HTTPS server is placed between it and the Internet.

%prep
%setup -n %{real_name}-%{version}

# fix problem with modules generated by older versions of Dist::Zilla
#%{?el5:%{__perl} -pi -e '/.*ExtUtils::MakeMaker.*6\.31.*/ && s/6\.3\d/6.30/' Makefile.PL}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install
#%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

# fix for stupid strip issue
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes META.yml README TODO eg/
%doc %{_mandir}/man?/*
%{_bindir}/*
%{perl_vendorarch}/auto/Feersum/Feersum.*
%{perl_vendorarch}/Feersum.pm
%{perl_vendorarch}/Feersum/*
%{perl_vendorarch}/Plack/Handler/Feersum.pm
#%exclude %{perl_archlib}/perllocal.pod
%exclude %{perl_vendorarch}/auto/*/.packlist

%changelog
* Thu Sep 01 2011 Steve Huff <shuff@vecna.org> - 1.202-2
- RFX on el6 and el5

* Tue Jul 19 2011 Steve Huff <shuff@vecna.org> - 1.202-1
- Initial package.
